JUCE: LowLevelGraphicsContext Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
LowLevelGraphicsContext Class Referenceabstract
juce_graphics » contexts

Interface class for graphics context objects, used internally by the Graphics class. More...

`#include <juce_LowLevelGraphicsContext.h>`

Inheritance diagram for LowLevelGraphicsContext:

## Public Member Functions
virtual | ~LowLevelGraphicsContext ()=default
virtual bool | isVectorDevice () const =0
| Returns true if this device is vector-based, e.g.
virtual void | setOrigin (Point< int >)=0
| Moves the origin to a new position.
virtual void | addTransform (const AffineTransform &)=0
virtual float | getPhysicalPixelScaleFactor ()=0
virtual bool | clipToRectangle (const Rectangle< int > &)=0
virtual bool | clipToRectangleList (const RectangleList< int > &)=0
virtual void | excludeClipRectangle (const Rectangle< int > &)=0
virtual void | clipToPath (const Path &, const AffineTransform &)=0
virtual void | clipToImageAlpha (const Image &, const AffineTransform &)=0
virtual bool | clipRegionIntersects (const Rectangle< int > &)=0
virtual Rectangle< int > | getClipBounds () const =0
virtual bool | isClipEmpty () const =0
virtual void | saveState ()=0
virtual void | restoreState ()=0
virtual void | beginTransparencyLayer (float opacity)=0
virtual void | endTransparencyLayer ()=0
virtual void | setFill (const FillType &)=0
virtual void | setOpacity (float)=0
virtual void | setInterpolationQuality (Graphics::ResamplingQuality)=0
virtual void | fillAll ()
virtual void | fillRect (const Rectangle< int > &, bool replaceExistingContents)=0
virtual void | fillRect (const Rectangle< float > &)=0
virtual void | fillRectList (const RectangleList< float > &)=0
virtual void | fillPath (const Path &, const AffineTransform &)=0
virtual void | drawImage (const Image &, const AffineTransform &)=0
virtual void | drawLine (const Line< float > &)=0
virtual void | setFont (const Font &)=0
virtual const Font & | getFont ()=0
virtual void | drawGlyph (int glyphNumber, const AffineTransform &)=0
virtual bool | drawTextLayout (const AttributedString &, const Rectangle< float > &)

## Protected Member Functions
| LowLevelGraphicsContext ()=default

## Detailed Description

Interface class for graphics context objects, used internally by the Graphics class.

Users are not supposed to create instances of this class directly - do your drawing via the Graphics object instead.

It's a base class for different types of graphics context, that may perform software-based or OS-accelerated rendering.

E.g. the LowLevelGraphicsSoftwareRenderer renders onto an image in memory, but other subclasses could render directly to a windows HDC, a Quartz context, or an OpenGL context.

## Constructor & Destructor Documentation

## ◆ LowLevelGraphicsContext()

LowLevelGraphicsContext::LowLevelGraphicsContext | ( |  | ) |
| protecteddefault

## ◆ ~LowLevelGraphicsContext()

virtual LowLevelGraphicsContext::~LowLevelGraphicsContext | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ isVectorDevice()

virtual bool LowLevelGraphicsContext::isVectorDevice | ( |  | ) | const
| pure virtual

Returns true if this device is vector-based, e.g.

a printer.

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ setOrigin()

virtual void LowLevelGraphicsContext::setOrigin | ( | Point< int > |  | ) |
| pure virtual

Moves the origin to a new position.

The coordinates are relative to the current origin, and indicate the new position of (0, 0).

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ addTransform()

virtual void LowLevelGraphicsContext::addTransform | ( | const AffineTransform & |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ getPhysicalPixelScaleFactor()

virtual float LowLevelGraphicsContext::getPhysicalPixelScaleFactor | ( |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ clipToRectangle()

virtual bool LowLevelGraphicsContext::clipToRectangle | ( | const Rectangle< int > & |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ clipToRectangleList()

virtual bool LowLevelGraphicsContext::clipToRectangleList | ( | const RectangleList< int > & |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ excludeClipRectangle()

virtual void LowLevelGraphicsContext::excludeClipRectangle | ( | const Rectangle< int > & |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ clipToPath()

virtual void LowLevelGraphicsContext::clipToPath | ( | const Path & | ,
|  | const AffineTransform & |
| ) |  |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ clipToImageAlpha()

virtual void LowLevelGraphicsContext::clipToImageAlpha | ( | const Image & | ,
|  | const AffineTransform & |
| ) |  |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ clipRegionIntersects()

virtual bool LowLevelGraphicsContext::clipRegionIntersects | ( | const Rectangle< int > & |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ getClipBounds()

virtual Rectangle< int > LowLevelGraphicsContext::getClipBounds | ( |  | ) | const
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ isClipEmpty()

virtual bool LowLevelGraphicsContext::isClipEmpty | ( |  | ) | const
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ saveState()

virtual void LowLevelGraphicsContext::saveState | ( |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ restoreState()

virtual void LowLevelGraphicsContext::restoreState | ( |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ beginTransparencyLayer()

virtual void LowLevelGraphicsContext::beginTransparencyLayer | ( | float | opacity | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ endTransparencyLayer()

virtual void LowLevelGraphicsContext::endTransparencyLayer | ( |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ setFill()

virtual void LowLevelGraphicsContext::setFill | ( | const FillType & |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ setOpacity()

virtual void LowLevelGraphicsContext::setOpacity | ( | float |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ setInterpolationQuality()

virtual void LowLevelGraphicsContext::setInterpolationQuality | ( | Graphics::ResamplingQuality |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ fillAll()

virtual void LowLevelGraphicsContext::fillAll | ( |  | ) |
| virtual

## ◆ fillRect() [1/2]

virtual void LowLevelGraphicsContext::fillRect | ( | const Rectangle< int > & | ,
|  | bool | replaceExistingContents
| ) |  |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ fillRect() [2/2]

virtual void LowLevelGraphicsContext::fillRect | ( | const Rectangle< float > & |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ fillRectList()

virtual void LowLevelGraphicsContext::fillRectList | ( | const RectangleList< float > & |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ fillPath()

virtual void LowLevelGraphicsContext::fillPath | ( | const Path & | ,
|  | const AffineTransform & |
| ) |  |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ drawImage()

virtual void LowLevelGraphicsContext::drawImage | ( | const Image & | ,
|  | const AffineTransform & |
| ) |  |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ drawLine()

virtual void LowLevelGraphicsContext::drawLine | ( | const Line< float > & |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ setFont()

virtual void LowLevelGraphicsContext::setFont | ( | const Font & |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ getFont()

virtual const Font & LowLevelGraphicsContext::getFont | ( |  | ) |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ drawGlyph()

virtual void LowLevelGraphicsContext::drawGlyph | ( | int | glyphNumber,
|  | const AffineTransform & |
| ) |  |
| pure virtual

Implemented in LowLevelGraphicsPostScriptRenderer.

## ◆ drawTextLayout()

virtual bool LowLevelGraphicsContext::drawTextLayout | ( | const AttributedString & | ,
|  | const Rectangle< float > & |
| ) |  |
| virtual

The documentation for this class was generated from the following file:

- juce_LowLevelGraphicsContext.h